package pl.kaczanowscy.tomek.testng;

import org.testng.annotations.Test;

/**
 * because of http://jira.codehaus.org/browse/GRADLE-713 (fixed in 0.9) it is
 * not possible to use class-level @Test annotation.
 * 
 */
public class TestA {

	@Test
	public void passedMethod() {
		assert true;
	}

	@Test
	public void failedA_1() {
		assert false;
	}

	@Test
	public void failedA_2() {
		assert false;
	}
	
	@Test(dependsOnMethods = { "failedA_1" })
	public void skippedA() {
		// do nothing
	}
}
